{% extends 'base.html' %}
{% load static %}

{% block content %}
{% if request.session.peran == 'admin satgas' %}
<div class="container">
    <div class="row"></div>
    <div class="row align-items-center">
        <div class="col"></div>
        <div class="col-6">
            <form method="POST" action="{% url 'ruangan_rs:buat' %}" class="">
                {% csrf_token %}
                <figure class="text-center">
                    <h3>Siruco - Buat Ruangan RS</h3>
                </figure>

                <div class="mb-3">
                    <label for="kode-rs" class="form-label">Kode RS</label>
                    <select class="form-select" name="kode-rs" aria-label="Default select example" id="kode-rs" required>
                        <option>Kode RS</option>
                        {% for kode in kode_rs %}
                        <option value="{{kode.0}}">{{ kode.0 }}</option>
                        {% endfor %}
                    </select>
                </div>

                <div class="mb-3">
                    <label for="kode-ruangan" class="form-label">Kode Ruangan</label>
                    <input type="text" id="kode-ruangan" name="kode-ruangan" class="form-width form-control" aria-describedby="emailHelp" placeholder="kode-ruangan" readonly>
                </div>

                <div class="mb-3">
                    <label for="tipe" class="form-label">Tipe</label>
                    <input type="text" id="tipe" name="tipe" class="form-width form-control" placeholder="Tipe" 
                    oninvalid="this.setCustomValidity('Data yang diisikan belum lengkap, silahkan lengkapi data terlebih dahulu')" 
                    oninput="this.setCustomValidity('')" required>
                </div>

                <div class="mb-3">
                    <label for="harga" class="form-label">Harga</label>
                    <input type="text" id="harga" name="harga" class="form-width form-control" placeholder="Harga" 
                    oninvalid="this.setCustomValidity('Data yang diisikan belum lengkap, silahkan lengkapi data terlebih dahulu')" 
                    oninput="this.setCustomValidity('')" required>
                </div>

                <figure class="text-center">
                    {% for message in messages %}
                    {{ message }}
                    <br><br>
                    {% endfor %}
                    <button type="submit" class="btn btn-outline-primary">Simpan</button>
                </figure>
            </form>
        </div>
    <div class="col"></div>
    </div>
</div>
{% endif %}

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="{% static 'ruangan_rs/script.js' %}"></script>
{% endblock content %}